Promotion

List promotions

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Promotion

Gets the promotions for the specified restaurant.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

Query parameters
promotionIdsinteger · int32[]Required

The Ids of the promotions to return.

api-versionstringOptional
Responses
chevron-right
200

OK

A promotion that can be booked.

Idinteger · int32Optional

The promotion Id.

NamestringOptional

The name of the promotion.

DescriptionstringOptional

A longer description of the promotion.

MayRequireCreditCardbooleanOptional

Indicates that the promotion may require a credit card to be booked.

MayRequireDepositbooleanOptional

Indicates that the promotion may require a deposit to be booked.

HorizontalImageUrlstringOptional

Path to a landscape promotional image

VerticalImageUrlstringOptional

Path to a portrait promotional image

PromotionTypeCodesstring[]Optional

The promotion codes of the promotion types that this promotion has.

FullPricenumber · doubleOptional

The full price of the promotion.

PartySizeOperatorstring · enumOptional

The type of limit on the number of people the promotion is available for.

Possible values:
PartySizeLimitinteger · int32Optional

Party size limit

PartySizeMinCoversinteger · int32Optional

Party size minimum covers

PartySizeMaxCoversinteger · int32Optional

Party size maximum covers

LimitTypestring · enumOptional

The limit type of total covers available for the promotion

Possible values:
MaxNumberOfSoldinteger · int32Optional

Maximum number Of covers available for the LimitType

MenuVersionIdinteger · int32Optional

The ID value of the most updated version of the menu attached to a promotion

MenuNamestringOptional

The menu name of the menu attached to the promotion

TakeawayTypestring · enumOptional

The takeaway type of the promotion, or 0 if the promotion is not a takeaway

Possible values:
MenuUrlstringOptional

The url of the menu attached to the promotion

IsInternalOnlybooleanOptional

Whether the promotion is features only on the internal channel or not

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Promotion
200

OK

List promotions

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Promotions

Gets all the promotions for the specified restaurant.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

Query parameters
startDatestring · date-timeRequired

The start date.

endDatestring · date-timeRequired

The end date.

channelCodesstring[]Required

The channel codes

api-versionstringOptional
Responses
chevron-right
200

OK

A promotion that can be booked.

Idinteger · int32Optional

The promotion Id.

NamestringOptional

The name of the promotion.

DescriptionstringOptional

A longer description of the promotion.

MayRequireCreditCardbooleanOptional

Indicates that the promotion may require a credit card to be booked.

MayRequireDepositbooleanOptional

Indicates that the promotion may require a deposit to be booked.

HorizontalImageUrlstringOptional

Path to a landscape promotional image

VerticalImageUrlstringOptional

Path to a portrait promotional image

PromotionTypeCodesstring[]Optional

The promotion codes of the promotion types that this promotion has.

FullPricenumber · doubleOptional

The full price of the promotion.

PartySizeOperatorstring · enumOptional

The type of limit on the number of people the promotion is available for.

Possible values:
PartySizeLimitinteger · int32Optional

Party size limit

PartySizeMinCoversinteger · int32Optional

Party size minimum covers

PartySizeMaxCoversinteger · int32Optional

Party size maximum covers

LimitTypestring · enumOptional

The limit type of total covers available for the promotion

Possible values:
MaxNumberOfSoldinteger · int32Optional

Maximum number Of covers available for the LimitType

MenuVersionIdinteger · int32Optional

The ID value of the most updated version of the menu attached to a promotion

MenuNamestringOptional

The menu name of the menu attached to the promotion

TakeawayTypestring · enumOptional

The takeaway type of the promotion, or 0 if the promotion is not a takeaway

Possible values:
MenuUrlstringOptional

The url of the menu attached to the promotion

IsInternalOnlybooleanOptional

Whether the promotion is features only on the internal channel or not

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Promotions
200

OK

Last updated

Was this helpful?